clang 10.0.0git

Classes | Namespaces | Macros
TypeLocVisitor.h File Reference
`#include "clang/AST/TypeLoc.h"`
`#include "clang/AST/TypeVisitor.h"`
`#include "llvm/Support/ErrorHandling.h"`
`#include "clang/AST/TypeLocNodes.def"`
Include dependency graph for TypeLocVisitor.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::TypeLocVisitor< ImplClass, RetTy >

## Namespaces
| clang
| Dataflow Directional Tag Classes.

## Macros
#define | DISPATCH(CLASSNAME)
#define | ABSTRACT_TYPELOC(CLASS, PARENT)
#define | TYPELOC(CLASS, PARENT) case TypeLoc::CLASS: DISPATCH(CLASS##TypeLoc);
#define | ABSTRACT_TYPELOC(CLASS, PARENT)
#define | TYPELOC(CLASS, PARENT) case TypeLoc::CLASS: DISPATCH(CLASS##TypeLoc);
#define | TYPELOC(CLASS, PARENT)

## Macro Definition Documentation

## ◆ ABSTRACT_TYPELOC [1/2]

#define ABSTRACT_TYPELOC | ( |  | CLASS,
|  |  | PARENT
| ) |  |

## ◆ ABSTRACT_TYPELOC [2/2]

#define ABSTRACT_TYPELOC | ( |  | CLASS,
|  |  | PARENT
| ) |  |

## ◆ DISPATCH

#define DISPATCH | ( |  | CLASSNAME | ) |

Value:
return static_cast<ImplClass*>(this)-> \
Visit##CLASSNAME(TyLoc.castAs<CLASSNAME>())

Definition at line 21 of file TypeLocVisitor.h.

## ◆ TYPELOC [1/3]

#define TYPELOC | ( |  | CLASS,
|  |  | PARENT
| ) |  | case TypeLoc::CLASS: DISPATCH(CLASS##TypeLoc);

Definition at line 48 of file TypeLocVisitor.h.

## ◆ TYPELOC [2/3]

#define TYPELOC | ( |  | CLASS,
|  |  | PARENT
| ) |  | case TypeLoc::CLASS: DISPATCH(CLASS##TypeLoc);

Definition at line 48 of file TypeLocVisitor.h.

## ◆ TYPELOC [3/3]

#define TYPELOC | ( |  | CLASS,
|  |  | PARENT
| ) |  |

Value:
RetTy Visit##CLASS##TypeLoc(CLASS##TypeLoc TyLoc) { \
DISPATCH(PARENT); \
}

Definition at line 48 of file TypeLocVisitor.h.